<template>
  <div>
    <p class="menu-label">
      <NuxtLink class="navbar-link" :to="category.top"> {{ category.ja }}</NuxtLink>
    </p>
    <ul class="menu-list">
      <li
        v-for="(itm, cx) in category.items"
        :key="'mb_' + cx"
      >
        <NuxtLink :to="category.top + itm.href">{{itm.ja}}</NuxtLink>
      </li>
    </ul>
  </div>
</template>

<script setup lang="ts">
import type { NavCategory } from "../../composables/navs";
interface Props {
  category: NavCategory;
}
const props = defineProps<Props>();
</script>

<style scoped>
a {
  color: black
}
</style>